Skip to main content
DELETE
/
invoices
/
{invoice}
/
line-item-groups
/
{id}
Delete a Line Item Group
curl --request DELETE \
  --url https://eu.sequencehq.com/api/invoices/{invoice}/line-item-groups/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/invoices/{invoice}/line-item-groups/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/invoices/{invoice}/line-item-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "941272d1-f840-4e16-b698-0cd455c81e0e",
  "invoiceId": "cd11218d-fa00-4faa-8684-a43113d076a8",
  "title": "Cars",
  "description": "Charges for cars",
  "index": 1,
  "netTotal": "200000",
  "totalTax": "10",
  "grossTotal": "22000",
  "taxCategory": {
    "id": "28227c88-6dba-455f-9b30-b9c76957e610",
    "name": "VAT"
  }
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

invoice
string
required

The Invoice ID

id
string
required

Line Item Group ID

Response

OK

id
string
required

Line Item Group ID

Example:

"941272d1-f840-4e16-b698-0cd455c81e0e"

invoiceId
string
required

Invoice ID

Example:

"cd11218d-fa00-4faa-8684-a43113d076a8"

title
string
required

Line Item Group Title

Example:

"Cars"

index
integer
required

Index (for maintaining order)

Example:

1

netTotal
string
required

Net total, in decimal format of the Invoice's currency

Example:

"200000"

totalTax
string
required

Total tax, in decimal format of the Invoice's currency

Example:

"10"

grossTotal
string
required

Gross total, in decimal format of the Invoice's currency

Example:

"22000"

description
string

Line Item Group Description

Example:

"Charges for cars"

taxCategory
object

The tax category for all line items in this line item group

Example:
{
"id": "28227c88-6dba-455f-9b30-b9c76957e610",
"name": "VAT"
}